import { reduce } from 'lodash/fp';

// Utility function for extracting a FormGroup from a form metadata object - currently non-nested only
const reducerIteree = (res, field) => Object.assign(res, { [field.name]: field.value || '' });
const _extractFormGroupData = reduce(reducerIteree, {});
const extractFormGroupData = nonNestedFormMetaLevel => _extractFormGroupData(nonNestedFormMetaLevel);

// ---------------------------------------------------------------------------------------------------------------------
// Exports

export { extractFormGroupData };
